<template>
    <header class="main-header header-style-three">
        <div class="auto-container">
            <div class="main-box clearfix">
                <div class="logo-box">
                    <div class="logo">
                        <a href="/"><img src="/assets/images/logo.png" alt="teka logo"  width="200"></a>
                    </div>
                </div>

                <div class="nav-outer">
                    <nav class="main-menu navbar-expand-md ">
                        <div class="navbar-header">  
                            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                                <span class="icon flaticon-menu-button"></span>
                            </button>
                        </div>
                        
                        <div class="collapse navbar-collapse clearfix" id="navbarSupportedContent">
                            <ul class="navigation clearfix">
                                <li :class="$root.$router.history.current.name == 'home.page.html' ? 'current' : ''">
                                    <a href="/">
                                        {{ 
                                            $root.lang() == 1 ? 'Beranda' : 
                                            $root.lang() == 2 ? 'Home' : 
                                            $root.lang() == 3 ? 'Zuhause' : ''
                                        }}
                                    </a>
                                </li>
                                <li :class="$root.$router.history.current.name == 'about.page.html' ? 'current' : ''">
                                    <a href="/about" >
                                        {{ 
                                            $root.lang() == 1 ? 'Kenapa Kami' : 
                                            $root.lang() == 2 ? 'Why Us' : 
                                            $root.lang() == 3 ? 'warum wir' : ''
                                        }}
                                    </a>
                                </li>
                                <li :class="$root.$router.history.current.name == 'product.page.html' ? 'current dropdown' : 'dropdown'">
                                    <a href="javascript:void(0)">
                                        {{ 
                                            $root.lang() == 1 ? 'Produk' : 
                                            $root.lang() == 2 ? 'Product' : 
                                            $root.lang() == 3 ? 'Produkt' : ''
                                        }}
                                    </a>
                                    <ul>
                                        <li>
                                            <a href="/product">
                                                {{ 
                                                    $root.lang() == 1 ? 'Semua' : 
                                                    $root.lang() == 2 ? 'All' : 
                                                    $root.lang() == 3 ? 'Alles' : ''
                                                }}
                                            </a>
                                        </li>
                                        <li v-for="construction in constructions">
                                            <a :href="'/product?construction='+construction.id">{{construction.name}}</a>
                                        </li>
                                    </ul>
                                </li>
                                <li :class="$root.$router.history.current.name == 'gallery.page.html' ? 'current' : ''">
                                    <a href="/gallery">
                                        {{ 
                                            $root.lang() == 1 ? 'Galeri Proyek' : 
                                            $root.lang() == 2 ? 'Project Gallery' : 
                                            $root.lang() == 3 ? 'Projektgalerie' : ''
                                        }}
                                    </a>
                                </li>
                                <li class="dropdown">
                                    <a href="#" v-for="lang in langs" v-if="$root.lang() == lang.id">
                                        {{toTitleCase(lang.country_name)}}
                                    </a>
                                    <ul>
                                        <li v-for="lang in langs">
                                            <a href="#" v-if="$root.lang() != lang.id" @click.prevent="setLang(lang.id)">
                                                <img :src="$root.asset(lang.country_flag)" alt="flag" width="30"> 
                                                {{toTitleCase(lang.country_name)}}
                                            </a>
                                        </li>
                                    </ul>
                                </li>
                                <li :class="$root.$router.history.current.name == 'contact.page.html' ? 'current' : ''">
                                    <a href="/contact-us">
                                        {{ 
                                            $root.lang() == 1 ? 'Kontak' : 
                                            $root.lang() == 2 ? 'Contact' : 
                                            $root.lang() == 3 ? 'Kontakt' : ''
                                        }}
                                    </a>
                                </li>
                                
                                <!-- <li class="dropdown has-mega-menu"><a href="#">Pages</a>
                                    <div class="mega-menu">
                                        <div class="mega-menu-bar row clearfix">
                                            <div class="column col-lg-3 col-md-3 col-sm-12">
                                                <h3>About</h3>
                                                <ul>
                                                    <li><a href="about.html">About Us</a></li>
                                                    <li><a href="faq.html">FAQ's</a></li>
                                                    <li><a href="team.html">Our Team</a></li>
                                                    <li><a href="coming-soon.html">Coming Soon</a></li>
                                                    <li><a href="login.html">Login</a></li>
                                                </ul>
                                            </div>
                                            <div class="column col-lg-3 col-md-3 col-sm-12">
                                                <h3>Services</h3>
                                                <ul>
                                                    <li><a href="services.html">All Services</a></li>
                                                    <li><a href="service-detail.html">Commercial Design</a></li>
                                                    <li><a href="service-detail.html">Landescape Design</a></li>
                                                    <li><a href="service-detail.html">Complete Interior</a></li>
                                                    <li><a href="service-detail.html">Service Detail</a></li>
                                                </ul>
                                            </div>
                                            <div class="column col-lg-3 col-md-3 col-sm-12">
                                                <h3>Projects</h3>
                                                <ul>
                                                    <li><a href="projects.html">Projects</a></li>
                                                    <li><a href="projects.html">Commercial Projects</a></li>
                                                    <li><a href="projects.html">Landescape Projects</a></li>
                                                    <li><a href="project-detail.html">Project Detail</a></li>
                                                    <li><a href="contact.html">Contact</a></li>
                                                </ul>
                                            </div>
                                            <div class="column col-lg-3 col-md-3 col-sm-12">
                                                <h3>Blog</h3>
                                                <ul>
                                                    <li><a href="blog.html">Blog Grid</a></li>
                                                    <li><a href="blog-classic.html">Blog Classic</a></li>
                                                    <li><a href="blog-detail.html">Blog Detail 01</a></li>
                                                    <li><a href="blog-detail-2.html">Blog Detail 01</a></li>
                                                    <li><a href="error-page.html">Error Page</a></li>
                                                </ul>
                                            </div>
                                        </div>
                                    </div>
                                </li> -->
                            </ul>
                        </div>
                    </nav><!-- Main Menu End-->                        
                    
                    <!-- Main Menu End-->
                    <div class="outer-box clearfix">
                        <button class="nav-toggler"><span class="fa fa-bars"></span></button>
                    </div>
                </div>
            </div>
        </div>

                <!-- Sticky Header  -->
        <div class="sticky-header">
            <div class="auto-container clearfix">
                <!--Logo-->
                <div class="logo pull-left">
                    <a href="/" title=""><img src="/assets/images/logo.png" alt="teka logo" width="150"></a>
                </div>
                <!--Right Col-->
                <div class="pull-right">
                    <!-- Main Menu -->
                    <nav class="main-menu">
                        <div class="navbar-collapse show collapse clearfix">
                            <ul class="navigation clearfix">
                                <li :class="$root.$router.history.current.name == 'home.page.html' ? 'current' : ''">
                                    <a href="/">
                                        {{ 
                                            $root.lang() == 1 ? 'Beranda' : 
                                            $root.lang() == 2 ? 'Home' : 
                                            $root.lang() == 3 ? 'Zuhause' : ''
                                        }}
                                    </a>
                                </li>
                                <li :class="$root.$router.history.current.name == 'about.page.html' ? 'current' : ''">
                                    <a href="/about" >
                                        {{ 
                                            $root.lang() == 1 ? 'Kenapa Kami' : 
                                            $root.lang() == 2 ? 'Why Us' : 
                                            $root.lang() == 3 ? 'warum wir' : ''
                                        }}
                                    </a>
                                </li>
                                <li :class="$root.$router.history.current.name == 'product.page.html' ? 'current dropdown' : 'dropdown'">
                                    <a href="javascript:void(0)">
                                        {{ 
                                            $root.lang() == 1 ? 'Produk' : 
                                            $root.lang() == 2 ? 'Product' : 
                                            $root.lang() == 3 ? 'Produkt' : ''
                                        }}
                                    </a>
                                    <ul>
                                        <li>
                                            <a href="/product">
                                                {{ 
                                                    $root.lang() == 1 ? 'Semua' : 
                                                    $root.lang() == 2 ? 'All' : 
                                                    $root.lang() == 3 ? 'Alles' : ''
                                                }}
                                            </a>
                                        </li>
                                        <li v-for="construction in constructions">
                                            <a :href="'/product?construction='+construction.id">{{construction.name}}</a>
                                        </li>
                                    </ul>
                                </li>
                                <li :class="$root.$router.history.current.name == 'gallery.page.html' ? 'current' : ''">
                                    <a href="/gallery">
                                        {{ 
                                            $root.lang() == 1 ? 'Galeri Proyek' : 
                                            $root.lang() == 2 ? 'Project Gallery' : 
                                            $root.lang() == 3 ? 'Projektgalerie' : ''
                                        }}
                                    </a>
                                </li>
                                <li class="dropdown">
                                    <a href="#" v-for="lang in langs" v-if="$root.lang() == lang.id">
                                        {{toTitleCase(lang.country_name)}}
                                    </a>
                                    <ul>
                                        <li v-for="lang in langs">
                                            <a href="#" v-if="$root.lang() != lang.id" @click.prevent="setLang(lang.id)">
                                                <img :src="$root.asset(lang.country_flag)" alt="flag" width="30"> 
                                                {{toTitleCase(lang.country_name)}}
                                            </a>
                                        </li>
                                    </ul>
                                </li>
                                <li :class="$root.$router.history.current.name == 'contact.page.html' ? 'current' : ''">
                                    <a href="/contact-us">
                                        {{ 
                                            $root.lang() == 1 ? 'Kontak' : 
                                            $root.lang() == 2 ? 'Contact' : 
                                            $root.lang() == 3 ? 'Kontakt' : ''
                                        }}
                                    </a>
                                </li>
                                
                            </ul> 
                        </div>
                    </nav>
                </div>
            </div>
        </div>
    </header>
</template>

<script>
    import ApiFrame from "../services/api/content.js"
    export default {
        data() {
            return {
                constructions: [],
                langs: []
            }
        },
        beforeMount() {},
        mounted() {
            this.constructions = ApiFrame.getConstruction()
            this.langs = ApiFrame.getLang()
        },
        methods: {
            setLang(lang) {
                sessionStorage.setItem('_LANG', lang)
                window.location.reload()
            },
            toTitleCase(text) {
                var sentence = text.toLowerCase().split(" ");
                let result = ''
                for(var i = 0; i< sentence.length; i++){
                    result += sentence[i][0].toUpperCase() + sentence[i].slice(1)+ ' '
                }
                return result
            }
        }
        
    }
</script>